Module | Merb::ResponderMixin::ClassMethods
In: | lib/merb-core/controller/mixins/responder.rb

### Methods

clear_provides does_not_provide only_provides provides reset_provides

### Public Instance methods

clear_provides()

Clear the list of provides.

#### Returns

Array: | An empty Array.

:api: public

does_not_provide(*formats)

This class should not provide any of this list of formats, despite any. other definitions previously or in superclasses.

#### Parameters

*formats<Symbol>: | Registered mime-types.

#### Returns

Array[Symbol]: | List of formats that remain after removing the ones not to provide.

:api: public

only_provides(*formats)

This class should only provide the formats listed here, despite any other definitions previously or in superclasses.

#### Parameters

*formats<Symbol>: | Registered mime-types.

#### Returns

Array[Symbol]: | List of formats passed in.

:api: public

provides(*formats)

Adds symbols representing formats to the controller‘s default list of provided_formats. These will apply to every action in the controller, unless modified in the action. If the last argument is a Hash or an Array, these are regarded as arguments to pass to the to_<mime_type> method as needed.

#### Parameters

*formats<Symbol>: | A list of mime-types that the controller should provide.

#### Returns

Array[Symbol]: | List of formats passed in.

#### Examples

      provides :html, :xml

:api: public

reset_provides()

Reset the list of provides to include only :html.

#### Returns

Array[Symbol]: | [:html].

:api: public

[Validate]